Package org.jbpm.executor.impl.jpa

## Class ExecutorJPAAuditService

- java.lang.Object
- - org.jbpm.process.audit.JPAService
  - - org.jbpm.process.audit.JPAAuditLogService
    - - org.jbpm.services.task.audit.service.TaskJPAAuditService
      - - org.jbpm.executor.impl.jpa.ExecutorJPAAuditService

- All Implemented Interfaces:
    `AuditLogService`, `org.kie.api.runtime.manager.audit.AuditService`

      public class ExecutorJPAAuditService
      extends TaskJPAAuditService

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.JPAService

      `persistenceStrategy, persistenceUnitName`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExecutorJPAAuditService​(javax.persistence.EntityManagerFactory emf)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `closeEntityManager​(javax.persistence.EntityManager em, Object transaction)` |
    `org.kie.internal.runtime.manager.audit.query.ErrorInfoDeleteBuilder` | `errorInfoLogDeleteBuilder()` |
    `org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder` | `errorInfoQueryBuilder()` |
    `org.kie.internal.runtime.manager.audit.query.ExecutionErrorInfoDeleteBuilder` | `executionErrorInfoDeleteBuilder()` |
    `protected javax.persistence.EntityManager` | `getEntityManager()` |
    `protected org.jbpm.query.jpa.impl.QueryCriteriaUtil` | `getQueryCriteriaUtil​(Class queryType)` |
    `protected Object` | `joinTransaction​(javax.persistence.EntityManager em)` |
    `org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder` | `requestInfoLogDeleteBuilder()` |
    `org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder` | `requestInfoQueryBuilder()` |

    - ### Methods inherited from class org.jbpm.services.task.audit.service.TaskJPAAuditService

      `auditTaskDelete, auditTaskQuery, bamTaskSummaryQuery, clear, taskEventInstanceLogDelete, taskEventQuery, taskVariableInstanceLogDelete, taskVariableQuery`

    - ### Methods inherited from class org.jbpm.process.audit.JPAAuditLogService

      `addCriteria, doDelete, doPartialDelete, doQuery, findActiveProcessInstances, findActiveProcessInstances, findNodeInstances, findNodeInstances, findProcessInstance, findProcessInstances, findProcessInstances, findSubProcessInstances, findVariableInstances, findVariableInstances, findVariableInstancesByName, findVariableInstancesByNameAndValue, nodeInstanceLogDelete, nodeInstanceLogQuery, processInstanceLogDelete, processInstanceLogQuery, queryLogs, variableInstanceLogDelete, variableInstanceLogQuery`

    - ### Methods inherited from class org.jbpm.process.audit.JPAService

      `dispose, executeQuery, getPersistenceUnitName, setPersistenceUnitName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.runtime.manager.audit.AuditService

      `dispose`

- - ### Constructor Detail

    - #### ExecutorJPAAuditService

          public ExecutorJPAAuditService​(javax.persistence.EntityManagerFactory emf)

  - ### Method Detail

    - #### getEntityManager

          protected javax.persistence.EntityManager getEntityManager()

      Overrides:
        `getEntityManager` in class `TaskJPAAuditService`

    - #### joinTransaction

          protected Object joinTransaction​(javax.persistence.EntityManager em)

      Overrides:
        `joinTransaction` in class `TaskJPAAuditService`

    - #### closeEntityManager

          protected void closeEntityManager​(javax.persistence.EntityManager em,
                                            Object transaction)

      Overrides:
        `closeEntityManager` in class `TaskJPAAuditService`

    - #### errorInfoLogDeleteBuilder

          public org.kie.internal.runtime.manager.audit.query.ErrorInfoDeleteBuilder errorInfoLogDeleteBuilder()

    - #### requestInfoLogDeleteBuilder

          public org.kie.internal.runtime.manager.audit.query.RequestInfoLogDeleteBuilder requestInfoLogDeleteBuilder()

    - #### executionErrorInfoDeleteBuilder

          public org.kie.internal.runtime.manager.audit.query.ExecutionErrorInfoDeleteBuilder executionErrorInfoDeleteBuilder()

    - #### getQueryCriteriaUtil

          protected org.jbpm.query.jpa.impl.QueryCriteriaUtil getQueryCriteriaUtil​(Class queryType)

      Overrides:
        `getQueryCriteriaUtil` in class `TaskJPAAuditService`

    - #### errorInfoQueryBuilder

          public org.kie.internal.runtime.manager.audit.query.ErrorInfoQueryBuilder errorInfoQueryBuilder()

    - #### requestInfoQueryBuilder

          public org.kie.internal.runtime.manager.audit.query.RequestInfoQueryBuilder requestInfoQueryBuilder()